Bug Hunting Session
Bug 106018 - UI: Frame is named Object in image frame context menu
Summary: UI: Frame is named Object in image frame context menu
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
5.0.0.5 release
Hardware: All All
: medium enhancement
Assignee: Yousuf Philips (jay) (retired)
URL:
Whiteboard: target:6.0.0 target:5.4.0.1
Keywords: difficultyBeginner, easyHack, skillDesign, topicDesign
Depends on:
Blocks: Context-Menu-Label-Regressions
  Show dependency treegraph
 
Reported: 2017-02-15 10:19 UTC by Thomas Lendo
Modified: 2017-09-17 20:12 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments
Test file with an image in a frame (including screenshot with false context menu naming) (244.87 KB, application/vnd.oasis.opendocument.text)
2017-02-15 10:25 UTC, Thomas Lendo
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas Lendo 2017-02-15 10:19:29 UTC
If you right-click on an image that has a frame around it, the frame will be named "Object" in the context menu.

But the opened options window is named "frame".
Menu entries for image frames are also named "frame" and not "object".

Expected result: context menu entry at a frame should be names "frame"

Actual result: context menu entry at a frame is named "object"

Version: 5.3.0.3
Build ID: 7074905676c47b82bbcfbea1aeefc84afe1c50e1
CPU Threads: 8; OS Version: Windows 6.2; UI Render: default; Layout Engine: new
Comment 1 Thomas Lendo 2017-02-15 10:25:08 UTC
Created attachment 131239 [details]
Test file with an image in a frame (including screenshot with false context menu naming)
Comment 2 Xisco Faulí 2017-02-15 12:34:42 UTC
I can confirm it in

Version: 5.4.0.0.alpha0+
Build ID: 880033edde516fc30225005245253293a6a58ba4
CPU Threads: 4; OS Version: Linux 4.8; UI Render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group

However, I'd like to hear UX's opinion as 'Object' might be used as a generic naming...
Comment 3 Heiko Tietze 2017-02-16 10:19:23 UTC
My suggestion is to use 'Frame properties...' as in the main menu Format > Frame > Properties. Before adding a caption the context menu of an image lists 'Properties' at this place, so a clear differentiation with 'Image Properties' and 'Frame Properties' is beneficial.

It's clearly an easyhack.
Comment 4 Cor Nouws 2017-02-16 13:34:53 UTC
(In reply to Thomas Lendo from comment #0)
> If you right-click on an image that has a frame around it, the frame will be
> named "Object" in the context menu.

Is also with a frame without image inside.
Possibly some more roughness in names in the context menu's.
From hat I remembered, it was considered that a frame is an object :p (somewhere around 5.0 release?)
But no objections of course to improve here :)
Comment 5 Yousuf Philips (jay) (retired) 2017-05-18 08:41:11 UTC
This is one of the label regressions from when Maxim moved all the context menus into the customization dialog. In 5.1, it used to be called 'Frame...', but as we dont have separate labels per context, it is using the same 'Object...' label used by charts and formulas. In order to have a separate label, we'd need a separate uno command.
Comment 6 Fakabbir amin 2017-05-22 13:05:16 UTC
(In reply to Yousuf Philips (jay) from comment #5)
> This is one of the label regressions from when Maxim moved all the context
> menus into the customization dialog. In 5.1, it used to be called
> 'Frame...', but as we dont have separate labels per context, it is using the
> same 'Object...' label used by charts and formulas. In order to have a
> separate label, we'd need a separate uno command.

So would this easy hack be labeled for changing "Object..." to "Frame..." or working with a separate uno command ?
Comment 7 Yousuf Philips (jay) (retired) 2017-06-11 02:26:49 UTC
The simplest and best solution is to simply rename it to 'Properties' for both frames and objects, as we use that for other objects like tables and images.

https://gerrit.libreoffice.org/38656
Comment 8 Commit Notification 2017-06-13 13:35:12 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f6f68fc3c599ef1bbc27f1b5a4a0980611502e31

tdf#106018 Correct label for frame properties in context menu

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2017-06-19 14:09:00 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "libreoffice-5-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e59d30e8a53c29707c7f97ac0b0298507a632230&h=libreoffice-5-4

tdf#106018 Correct label for frame properties in context menu

It will be available in 5.4.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Thomas Lendo 2017-09-17 20:12:41 UTC
VERIFIED with Version: 6.0.0.0.alpha0+
Build-ID: 7315f325ff7ada3d6bd85a471058fdaeaff8cdb0
CPU-Threads: 4; Betriebssystem:Linux 4.10; UI-Render: Standard; VCL: gtk2; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2017-09-17_06:58:21
Gebietsschema: de-DE (de_DE.UTF-8); Calc: group